const express = require('express');

const signupApp = express();

const libs = `${process.cwd()}/libs`;


signupApp.post('/', (req, res) => {
  if (!req.body.email || !req.body.password) {
    res.json({success: false, msg: 'Please pass email and password.'});
  } else {
    var newUser = new User({
      email: req.body.email,
      password: req.body.password
    });
    // save the user
    newUser.save((err) => {
      if (err) {
        return res.json({success: false, msg: 'Email already in use.'});
      }
      res.json({success: true, msg: 'Successful created new user.'});
    });
  }
});

module.exports = signupApp;
